Bug 1954770 - Backport upstream fix for Kubelet getting stuck in DiskPressure
Summary: Backport upstream fix for Kubelet getting stuck in DiskPressure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks: 1955883
TreeView+ depends on / blocked
 
Reported: 2021-04-28 18:31 UTC by Ryan Phillips
Modified: 2021-07-27 23:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:04:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 717 0 None closed Bug 1954770: UPSTREAM: 99095: Prevent Kubelet stuck in DiskPressure when imagefs minreclaim is set 2021-05-14 20:55:18 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:05:00 UTC

Description Ryan Phillips 2021-04-28 18:31:59 UTC
Description of problem:
https://github.com/kubernetes/kubernetes/pull/99095
https://github.com/kubernetes/kubernetes/issues/99094


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sunil Choudhary 2021-05-05 08:32:28 UTC
Marking it verified as it is backport of upstream fix

Comment 5 errata-xmlrpc 2021-07-27 23:04:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.